valarray.hpp File Reference
Support for Serializing Various Types » Standard Library Support

Support for types found in <valarray> More...

`#include "cereal/cereal.hpp"`
`#include <valarray>`

Go to the source code of this file.

## Functions

template<class Archive , class T >
std::enable_if< traits::is_output_serializable< BinaryData< T >, Archive >::value &&std::is_arithmetic< T >::value, void >::type | cereal::CEREAL_SAVE_FUNCTION_NAME (Archive &ar, std::valarray< T > const &valarray)
| Saving for std::valarray arithmetic types, using binary serialization, if supported.
template<class Archive , class T >
std::enable_if< traits::is_input_serializable< BinaryData< T >, Archive >::value &&std::is_arithmetic< T >::value, void >::type | cereal::CEREAL_LOAD_FUNCTION_NAME (Archive &ar, std::valarray< T > &valarray)
| Loading for std::valarray arithmetic types, using binary serialization, if supported.
template<class Archive , class T >
std::enable_if<!traits::is_output_serializable< BinaryData< T >, Archive >::value||!std::is_arithmetic< T >::value, void >::type | cereal::CEREAL_SAVE_FUNCTION_NAME (Archive &ar, std::valarray< T > const &valarray)
| Saving for std::valarray all other types.
template<class Archive , class T >
std::enable_if<!traits::is_input_serializable< BinaryData< T >, Archive >::value||!std::is_arithmetic< T >::value, void >::type | cereal::CEREAL_LOAD_FUNCTION_NAME (Archive &ar, std::valarray< T > &valarray)
| Loading for std::valarray all other types.

## Detailed Description

Support for types found in <valarray>